%define name	opengroupware-pda
%define version 5.0.0
%define cvs	20040523
%define release %{cvs}.1mdk

%define major 0
%define libname %mklibname %name %major

%ifarch %ix86 amd64 x86_64
  %define dirarch ix86
%endif
%ifarch %ppc
  %define dirarch ppc
%endif
%ifarch sparc
  %define dirarch sparc
%endif
%ifarch alpha
  %define dirarch alpha
%endif

Summary:     OpenGroupware.org Palm(tm) support
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL:         http://www.opengroupware.org
Group:       Networking/Other
Prefix:      %{_libdir}/opengroupware.org
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-sope, opengroupware-env, opengroupware-logic, opengroupware-pilot-link
Source:      opengroupware.org-pda-%{cvs}.tar.bz2
BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-gstep-objc opengroupware-gstep-objc-devel opengroupware-libfoundation opengroupware-libfoundation-devel opengroupware-xml opengroupware-xml-devel opengroupware-core opengroupware-core-devel opengroupware-gstep-db opengroupware-gstep-db-devel opengroupware-js opengroupware-js-devel opengroupware-sope opengroupware-sope-devel opengroupware-env opengroupware-logic opengroupware-logic-devel opengroupware-docapi opengroupware-docapi-devel opengroupware-webui-libs opengroupware-webui-libs-devel opengroupware-webui-common

%description
This package contains the OpenGroupware.org Palm(tm) synchronization support.

%package -n %libname
Summary: Libraries from %name
Group: System/Libraries
Provides: lib%name = %version-%release

%description -n %libname
The libraries from %name.

%package -n %libname-devel
Summary: The header files for the OpenGroupware.org Palm(tm) libraries.
Group:   Development/Other
Requires: %{libname} = %version-%release
Obsoletes: %name-devel <= %version-%release
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %libname-devel
The devel package contains the header files for the OpenGroupware.org
Palm(tm) libraries.

%prep

%setup -q -n opengroupware.org-pda

%build

source %{prefix}/OpenGroupware.org.sh
make -s debug=yes strip=yes all

%install
rm -rf $RPM_BUILD_ROOT

source %{prefix}/OpenGroupware.org.sh
I=$RPM_BUILD_ROOT%{prefix}
export FORCED_USER_ROOT=$I
B=$I/Library/OpenGroupware.org

make debug=yes strip=yes install GNUSTEP_INSTALLATION_DIR=$I BUNDLE_INSTALL_DIR=$B WOBUNDLE_INSTALL_DIR=$B

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README HOWTO COPYRIGHT Version
%dir %{prefix}/Tools
%dir %{prefix}/Tools/%{dirarch}
%dir %{prefix}/Tools/%{dirarch}/linux-gnu
%dir %{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/nhsd
%{prefix}/Library/OpenGroupware.org/OpenGroupwareNHS.conduit
%{prefix}/Library/OpenGroupware.org/OGoPalmDS.ds
%{prefix}/Library/OpenGroupware.org/OGoPalm.lso
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/ppls

%files -n %libname
%defattr(-,root,root,-)
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/%{dirarch}
%dir %{prefix}/Libraries/%{dirarch}/linux-gnu
%dir %{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libOGoPalm_*.so.5.0*
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libOGoPalmUI*.so.5.0*
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libPPSync*.so.5.0*
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libOGoNHS*.so.5.0*

%files -n %libname-devel
%defattr(-,root,root,-)
%dir %{prefix}/Headers
%{prefix}/Headers/PPSync
%{prefix}/Headers/OGoPalm
%{prefix}/Headers/OGoPalmUI
%{prefix}/Headers/OGoNHS
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libOGoPalm_*.so
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libOGoPalmUI*.so
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libPPSync*.so
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libOGoNHS*.so

%changelog
* Wed May 26 2004 Spencer Anderson <sdander@oberon.ark.com> 5.0.0-20040523.1mdk
- 20040523

* Fri Feb 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.0.0-20031201.2mdk
- Don't hardcore arch in path
- Own dir

* Fri Dec 5 2003 Spencer Anderson <sdander@oberon.ark.com> 5.0.0-20031201.1mdk
- initial Mandrake build

